<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.trade.service.trade.salescontract.mapper.ContractTermsMapper">

	<resultMap id="BaseResultMap" type="com.trade.service.trade.salescontract.domain.ContractTerms">
		<id column="id" property="id" />
        <id column="contract_type" property="contractType" />
		<id column="contract_no" property="contractNo" />
		<id column="payment_way" property="paymentWay" />
		<id column="payment_currency" property="paymentCurrency" />
		<id column="invoice_type" property="invoiceType" />
		<id column="settlement_cycle" property="settlementCycle" />
		<id column="account_name" property="accountName" />
		<id column="account_number" property="accountNumber" />
		<id column="opening_bank" property="openingBank" />
        <id column="bank_name" property="bankName" />
		<id column="swift_code" property="swiftCode" />
		<id column="remark" property="remark" />
        <id column="deleted" property="deleted" />
		<id column="gmt_create" property="gmtCreate" />
		<id column="gmt_modified" property="gmtModified" />
	</resultMap>
	<sql id="Base_Column_List">
		id, contract_no, contract_type, payment_way, payment_currency, invoice_type, settlement_cycle, account_name, account_number, opening_bank, bank_name, swift_code, remark, deleted, gmt_create, gmt_modified
	</sql>
	
</mapper>
